org.red5.server.service

## Class MethodNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.red5.server.service.MethodNotFoundException

All Implemented Interfaces:
  Serializable

    public class MethodNotFoundException
    extends RuntimeException

Thrown if service method is not found so call throws exception

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MethodNotFoundException(String methodName)` Creates exception with given method name
`MethodNotFoundException(String methodName, Object[] args)` Creates exception with given method name and arguments

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodNotFoundException

    public MethodNotFoundException(String methodName)

Creates exception with given method name

Parameters:
  `methodName` - Service method name that can't be found

#### MethodNotFoundException

    public MethodNotFoundException(String methodName,
                           Object[] args)

Creates exception with given method name and arguments

Parameters:
  `methodName` - Service method name that can't be found
  `args` - Arguments given